Update logged in user
Updates the calling user’s profile.
curl --request PUT \
--url https://stage-api.findity.com/api/v1/expense/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "Emma",
"lastName": "Expense",
"defaultCurrency": "USD",
"language": "en_US",
"IBAN": "US2138890474392778363181",
"BIC": "ABCDEF123",
"address": {
"street1": "132, My Street",
"postalCode": 12401,
"city": "New York",
"countryCode": "US"
},
"formattingRegion": "sv_SE"
}
'import requests
url = "https://stage-api.findity.com/api/v1/expense/me"
payload = {
"firstName": "Emma",
"lastName": "Expense",
"defaultCurrency": "USD",
"language": "en_US",
"IBAN": "US2138890474392778363181",
"BIC": "ABCDEF123",
"address": {
"street1": "132, My Street",
"postalCode": 12401,
"city": "New York",
"countryCode": "US"
},
"formattingRegion": "sv_SE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: 'Emma',
lastName: 'Expense',
defaultCurrency: 'USD',
language: 'en_US',
IBAN: 'US2138890474392778363181',
BIC: 'ABCDEF123',
address: {
street1: '132, My Street',
postalCode: 12401,
city: 'New York',
countryCode: 'US'
},
formattingRegion: 'sv_SE'
})
};
fetch('https://stage-api.findity.com/api/v1/expense/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/expense/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'firstName' => 'Emma',
'lastName' => 'Expense',
'defaultCurrency' => 'USD',
'language' => 'en_US',
'IBAN' => 'US2138890474392778363181',
'BIC' => 'ABCDEF123',
'address' => [
'street1' => '132, My Street',
'postalCode' => 12401,
'city' => 'New York',
'countryCode' => 'US'
],
'formattingRegion' => 'sv_SE'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/expense/me"
payload := strings.NewReader("{\n \"firstName\": \"Emma\",\n \"lastName\": \"Expense\",\n \"defaultCurrency\": \"USD\",\n \"language\": \"en_US\",\n \"IBAN\": \"US2138890474392778363181\",\n \"BIC\": \"ABCDEF123\",\n \"address\": {\n \"street1\": \"132, My Street\",\n \"postalCode\": 12401,\n \"city\": \"New York\",\n \"countryCode\": \"US\"\n },\n \"formattingRegion\": \"sv_SE\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://stage-api.findity.com/api/v1/expense/me")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"firstName\": \"Emma\",\n \"lastName\": \"Expense\",\n \"defaultCurrency\": \"USD\",\n \"language\": \"en_US\",\n \"IBAN\": \"US2138890474392778363181\",\n \"BIC\": \"ABCDEF123\",\n \"address\": {\n \"street1\": \"132, My Street\",\n \"postalCode\": 12401,\n \"city\": \"New York\",\n \"countryCode\": \"US\"\n },\n \"formattingRegion\": \"sv_SE\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/expense/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"firstName\": \"Emma\",\n \"lastName\": \"Expense\",\n \"defaultCurrency\": \"USD\",\n \"language\": \"en_US\",\n \"IBAN\": \"US2138890474392778363181\",\n \"BIC\": \"ABCDEF123\",\n \"address\": {\n \"street1\": \"132, My Street\",\n \"postalCode\": 12401,\n \"city\": \"New York\",\n \"countryCode\": \"US\"\n },\n \"formattingRegion\": \"sv_SE\"\n}"
response = http.request(request)
puts response.read_body{
"id": "370e10197a2740dea1f39d21bc9e4a8c",
"email": "emma.expense@example.com",
"firstName": "Emma",
"lastName": "Expense",
"mobilePhone": "+4670123456789",
"defaultCurrency": "USD",
"language": "en_US",
"IBAN": "US2138890474392778363181",
"BIC": "ABCDEF123",
"address": {
"id": "2ee7643987df40b38537b32ccda585d9",
"street1": "132, My Street",
"postalCode": 12401,
"city": "New York",
"countryCode": "US"
},
"formattingRegion": "sv_SE",
"meta": {
"capabilities": {
"canImpersonate": false,
"canViewAdmin": false
},
"impersonator": {
"firstName": "Erik",
"lastName": "Admin",
"impersonatorType": "PERSON"
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
No request body allowed when using action parameter enable or disable support access
enableSupportAccess, disableSupportAccess Body
Given name.
Family name.
Default currency for new expenses (ISO 4217 code).
User's bank account number for reimbursements.
Preferred UI language as a locale code (e.g. en_GB, sv_SE).
International Bank Account Number for cross-border reimbursements.
Bank Identifier Code (SWIFT) for cross-border reimbursements.
The region/locale used for formatting dates/numbers
A list of temporary approvers that user has set
Hide child attributes
Hide child attributes
Id of organization for which user has chose to set temporary approver for
Id of person which current user has chosen to act to perform approver role temporarily in his place
Start date from which added person will act as approver. This value is set/delivered in format "yyyy-MM-dd'T'HH:mm'Z'"
End date when added person will be stopped to act as temporary approver instead of current user. This value is set/delivered in format "yyyy-MM-dd'T'HH:mm'Z'"
Unique id assigned to added temporary user which is created within our system.
^[0-9a-fA-F]{32}$Response-only. Server-populated capability flags and derived fields for the user.
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Indicates if the currently logged in user can act as some other user
false
Indicates if the current user has an access to the admin part of the system or not
true
Indicates if the current user has an access to the settings part of the system or not
true
Response
OK
UUID without dashes (32-character hex string)
^[0-9a-fA-F]{32}$Given name.
Family name.
Default currency for new expenses (ISO 4217 code).
User's bank account number for reimbursements.
Preferred UI language as a locale code (e.g. en_GB, sv_SE).
International Bank Account Number for cross-border reimbursements.
Bank Identifier Code (SWIFT) for cross-border reimbursements.
User's address.
{
"id": "2ee7643987df40b38537b32ccda585d9",
"street1": "132, My Street",
"postalCode": 12401,
"city": "New York",
"countryCode": "US"
}
The region/locale used for formatting dates/numbers
A list of temporary approvers that user has set
Hide child attributes
Hide child attributes
Id of organization for which user has chose to set temporary approver for
Id of person which current user has chosen to act to perform approver role temporarily in his place
Start date from which added person will act as approver. This value is set/delivered in format "yyyy-MM-dd'T'HH:mm'Z'"
End date when added person will be stopped to act as temporary approver instead of current user. This value is set/delivered in format "yyyy-MM-dd'T'HH:mm'Z'"
Unique id assigned to added temporary user which is created within our system.
^[0-9a-fA-F]{32}$Response-only. Server-populated capability flags and derived fields for the user.
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Indicates if the currently logged in user can act as some other user
false
Indicates if the current user has an access to the admin part of the system or not
true
Indicates if the current user has an access to the settings part of the system or not
true
curl --request PUT \
--url https://stage-api.findity.com/api/v1/expense/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "Emma",
"lastName": "Expense",
"defaultCurrency": "USD",
"language": "en_US",
"IBAN": "US2138890474392778363181",
"BIC": "ABCDEF123",
"address": {
"street1": "132, My Street",
"postalCode": 12401,
"city": "New York",
"countryCode": "US"
},
"formattingRegion": "sv_SE"
}
'import requests
url = "https://stage-api.findity.com/api/v1/expense/me"
payload = {
"firstName": "Emma",
"lastName": "Expense",
"defaultCurrency": "USD",
"language": "en_US",
"IBAN": "US2138890474392778363181",
"BIC": "ABCDEF123",
"address": {
"street1": "132, My Street",
"postalCode": 12401,
"city": "New York",
"countryCode": "US"
},
"formattingRegion": "sv_SE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: 'Emma',
lastName: 'Expense',
defaultCurrency: 'USD',
language: 'en_US',
IBAN: 'US2138890474392778363181',
BIC: 'ABCDEF123',
address: {
street1: '132, My Street',
postalCode: 12401,
city: 'New York',
countryCode: 'US'
},
formattingRegion: 'sv_SE'
})
};
fetch('https://stage-api.findity.com/api/v1/expense/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/expense/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'firstName' => 'Emma',
'lastName' => 'Expense',
'defaultCurrency' => 'USD',
'language' => 'en_US',
'IBAN' => 'US2138890474392778363181',
'BIC' => 'ABCDEF123',
'address' => [
'street1' => '132, My Street',
'postalCode' => 12401,
'city' => 'New York',
'countryCode' => 'US'
],
'formattingRegion' => 'sv_SE'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/expense/me"
payload := strings.NewReader("{\n \"firstName\": \"Emma\",\n \"lastName\": \"Expense\",\n \"defaultCurrency\": \"USD\",\n \"language\": \"en_US\",\n \"IBAN\": \"US2138890474392778363181\",\n \"BIC\": \"ABCDEF123\",\n \"address\": {\n \"street1\": \"132, My Street\",\n \"postalCode\": 12401,\n \"city\": \"New York\",\n \"countryCode\": \"US\"\n },\n \"formattingRegion\": \"sv_SE\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://stage-api.findity.com/api/v1/expense/me")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"firstName\": \"Emma\",\n \"lastName\": \"Expense\",\n \"defaultCurrency\": \"USD\",\n \"language\": \"en_US\",\n \"IBAN\": \"US2138890474392778363181\",\n \"BIC\": \"ABCDEF123\",\n \"address\": {\n \"street1\": \"132, My Street\",\n \"postalCode\": 12401,\n \"city\": \"New York\",\n \"countryCode\": \"US\"\n },\n \"formattingRegion\": \"sv_SE\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/expense/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"firstName\": \"Emma\",\n \"lastName\": \"Expense\",\n \"defaultCurrency\": \"USD\",\n \"language\": \"en_US\",\n \"IBAN\": \"US2138890474392778363181\",\n \"BIC\": \"ABCDEF123\",\n \"address\": {\n \"street1\": \"132, My Street\",\n \"postalCode\": 12401,\n \"city\": \"New York\",\n \"countryCode\": \"US\"\n },\n \"formattingRegion\": \"sv_SE\"\n}"
response = http.request(request)
puts response.read_body{
"id": "370e10197a2740dea1f39d21bc9e4a8c",
"email": "emma.expense@example.com",
"firstName": "Emma",
"lastName": "Expense",
"mobilePhone": "+4670123456789",
"defaultCurrency": "USD",
"language": "en_US",
"IBAN": "US2138890474392778363181",
"BIC": "ABCDEF123",
"address": {
"id": "2ee7643987df40b38537b32ccda585d9",
"street1": "132, My Street",
"postalCode": 12401,
"city": "New York",
"countryCode": "US"
},
"formattingRegion": "sv_SE",
"meta": {
"capabilities": {
"canImpersonate": false,
"canViewAdmin": false
},
"impersonator": {
"firstName": "Erik",
"lastName": "Admin",
"impersonatorType": "PERSON"
}
}
}
